> For the complete documentation index, see [llms.txt](https://docs.mastersoftgroup.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mastersoftgroup.com/loqate-harmony-api/api-specification/objects/property-title-objects.md).

# Property Title Objects

| [PropertyTitleInfo](#propertytitleinfo)                   | A PropertyTitle info for validation.                            |
| --------------------------------------------------------- | --------------------------------------------------------------- |
| [PropertyTitleRestRequest](#propertytitlerestrequest)     | Request wrapper for PropertyTitle info validation REST methods. |
| [PropertyTitleRestResponse](#propertytitlerestresponse)   | Response wrapper for PropertyTitle info REST methods.           |
| [ValidatedPropertyTitleInfo](#validatedpropertytitleinfo) | A object containing the results of the validation.              |

### PropertyTitleInfo <a href="#propertytitleinfo" id="propertytitleinfo"></a>

The PropertyTitleInfo structure is used to supply the information for validation.

#### firstName

Type: StringThe First name of the person (e.g. 'Smith').

#### lastName

Type: StringThe last name of the person (e.g. 'John').

#### latitude

Type: StringThe Latitude of the address (e.g. '-33.25933673').

#### longitude

Type: StringThe Longitude of the address (e.g. '151.54871059').

#### postcode

Type: StringThe Postcode component of the address (e.g. '2000').

#### townCity

Type: StringThe Town/City component of the address (e.g. 'WELLINGTON').

#### suburb

Type: StringThe Suburb component of the address (e.g. 'WELLINGTON CENTRAL').

#### street

Type: StringThe Street component of the address (e.g. 'GEORGE STREET').

#### streetNumber

Type: StringThe Street Number component of the address (e.g. '45A').

#### postal

Type: StringThe Postal address (e.g. 'PO BOX 123').

#### subdwelling

Type: StringThe Subdwelling component of the address (e.g. 'SE 202'). This includes subdwelling, floor, block and lot information.

#### JSON Representation

```
    {
        "firstName":"John", 
        "lastName":"Doe", 
        "streetNumber":"000", 
        "street":"xxxx st", 
        "suburb":"wellington central", 
        "townCity":"wellington"
    }
    
```

### PropertyTitleRestRequest <a href="#propertytitlerestrequest" id="propertytitlerestrequest"></a>

An PropertyTitleRestRequest object is used when invoking the Harmony RightAddress nz property title ownership validation REST service methods.

#### payload

Type: [PropertyTitleInfo](#propertytitleinfo) The PropertyTitleInfo structure being passed to the REST service method.

#### showDetails

Type: BooleanShow details of the property title in the response or not (i.e. 'true' or 'false'). Default is false.

#### JSON Representation

```
    {
        "payload":{
        	"firstName":"John", 
        	"lastName":"Doe", 
        	"streetNumber":"000", 
        	"street":"xxxx st", 
        	"suburb":"wellington central", 
        	"townCity":"wellington"
        	},
        "showDetails":"true"}
    }
    
```

### PropertyTitleRestResponse <a href="#propertytitlerestresponse" id="propertytitlerestresponse"></a>

An PropertyTitleRestResponse object is returned from the Harmony RightAddress nz property title ownership validation REST service methods.

#### payload

Type: [ValidatedPropertyTitleInfo ](#validatedpropertytitleinfo)The ValidatedPropertyTitleInfo structure being returned from the REST service method.

#### status

Type: StringThe status of the request (i.e. 'SUCCESS' or 'ERROR').

#### messages

Type: String\[]Any error messages generated during the REST service method invocation (e.g. '\[ "Access is denied" ]')

#### JSON Representation

```
    {
        {
        	"status":"SUCCESS",
        	"messages":[],
       		 "payload":{
       		 	"response":"fail",
       		 	"attributes":[
       		 		{"type":"NZ_PROPERTY_TITLE",
       		 			"attributes":{
       		 			"guaranteeStatus":"Guarantee",
       		 			"status":"LIVE",
       		 			"descrption":"Fee Simple, 1/1, Lot x Deposited Plan xxx, 401 m2",
       		 			"spatialExtensShared":"T",
       		 			"ownsNumber":"1",
       		 			"issueDate":"1986/09/10 00:00:00",
       		 			"titleNo":"xxxx",
       		 			"type":"Freehold",
       		 			"owners":"xxxx",
       		 			"titleId":"xxxx",
       		 			"landDistrict":"Wellington"
   		 			}
 				}
 				]
			}
		}
    }
    
```

### ValidatedPropertyTitleInfo <a href="#validatedpropertytitleinfo" id="validatedpropertytitleinfo"></a>

A ValidatedPropertyTitleInfo object with validation response and list of attributes if showDetails set as true in the request.

#### response

Type: StringThe response of the validation (i.e. 'pass' or 'fail').

#### attributes

A list of attributes for the property title

#### JSON Representation

```
    {
       "response":"fail",
       	"attributes":[
       		{"type":"NZ_PROPERTY_TITLE",
       		 "attributes":{
       		 		"guaranteeStatus":"Guarantee",
       		 		"status":"LIVE",
       		 		"descrption":"Fee Simple, 1/1, Lot x Deposited Plan xxx, 401 m2",
       		 		"spatialExtensShared":"T",
       		 		"ownsNumber":"1",
       		 		"issueDate":"1986/09/10 00:00:00",
       		 		"titleNo":"xxxx",
       		 		"type":"Freehold",
       		 		"owners":"xxxx",
       		 		"titleId":"xxxx",
       		 		"landDistrict":"Wellington"
   		 		}
	 		}
 		]
    }
    
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mastersoftgroup.com/loqate-harmony-api/api-specification/objects/property-title-objects.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
